"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.derivedFrom = void 0;
const get_template_info_1 = require("./get-template-info");
function derivedFrom(itemId, templateId) {
    return __awaiter(this, void 0, void 0, function* () {
        const convertedTemplateId = templateId.replace(/[{}]/g, '').replaceAll('-', '').toUpperCase();
        const item = yield (0, get_template_info_1.getItemTemplateInfo)(itemId);
        if ((item === null || item === void 0 ? void 0 : item.template.id) === convertedTemplateId)
            return true;
        const assetCondition = item === null || item === void 0 ? void 0 : item.template.baseTemplates.some((t) => t.id === convertedTemplateId);
        return assetCondition == undefined ? false : assetCondition;
    });
}
exports.derivedFrom = derivedFrom;
